<!DOCTYPE html>
<html>
<head>
    <title>Eingabe</title>
    <script src="../scripts/mainscript.js"></script>
    <script src="../scripts/minicanvas.js"></script>
    <script src="http://ajax.googleapis.com/ajax/libs/angularjs/1.4.8/angular.min.js"></script>
    <link rel="stylesheet" type="text/css" href="../styles/mainstyle.css"/>
    <link rel="stylesheet" type="text/css" href="../styles/canvas.css"/>
</head>
<body ng-app="" onload="show();">

<ul>
    <li><a href="../index.html">ICT</a></li>
    <li><a href="canvas.html">Canvas</a></li>
    <li><a href="#">Eingabe</a></li>
</ul>

<h1 style="text-align: center;">EINGABE</h1>

<h3>Zahl 1</h3>
<input type="text" id="eingabe1"/>
<br>

<h3>Zahl 2</h3>
<input type="text" id="eingabe2"/>
<br>
<button id="btn" onclick="numberSort()">Ausgabe</button>
<p id="output"></p>

<script>
    function numberSort() {

        var eingabe1 = document.getElementById("eingabe1").value;
        var eingabe2 = document.getElementById("eingabe2").value;
        var btn = document.getElementById("btn").innerHTML;

        if (isNaN(eingabe1) || isNaN(eingabe2)) {
            alert("Nur Zahlen sind zulaessig!");
        } else {
            if (eingabe1 > eingabe2) {
                document.getElementById("output").innerHTML = eingabe1 + " > " + eingabe2;

            } else if (eingabe1 < eingabe2) {
                document.getElementById("output").innerHTML = eingabe2 + " > " + eingabe1;

            }
        }
    }
</script>

<hr>

<script>
    Tagesstunde = new Date().getHours();

    switch (new Date().getHours()) {
        case 0:
            txt = "Mitternacht";
            break;
        case 1:
            txt = "sleep well";
            break;
        case 2:
            txt = "go on sleeping";
            break;
        case 3:
            txt = "wake up soon";
            break;
        case 15:
            txt = "Informatik";
            break;
        default:
            txt = "Test";
    }

    document.write(Tagesstunde + " Uhr, " + txt);
</script>

<hr>

<button onclick="addition()">Random Addition</button>
<p id="addition"></p>

<button onclick="multiplikation()">Random Multiplication</button>
<p id="multiplikation"></p>

<script>
    function addition () {
        var a = Math.random();
        a = Math.round(a * 10);

        var b = Math.random();
        b = Math.round(b * 10);

        output = a + b;
        output = Math.round(output * 10) / 10;
        document.getElementById("addition").innerHTML = a + " + " + b + " = " + output;
    }

    function multiplikation () {
        var a = Math.random();
        a = Math.round(a * 10);

        var b = Math.random();
        b = Math.round(b * 10);

        output = a * b;
        output = Math.round(output * 10) / 10;
        document.getElementById("multiplikation").innerHTML = a + " * " + b + " = " + output;
    }
</script>

<hr>

<canvas width="100px" height="100px" id="wuerfelspiel" style="background: #ffffff;">Kann kein Canvas anzeigen!</canvas>

<script>
    var wuerfelspiel = document.getElementById("wuerfelslpiel");
    var ctx = wuerfelspiel.getContext("2d");

    requestaframe = (function () {
        return window.requestAnimationFrame ||
                window.webkitRequestAnimationFrame ||
                window.mozRequestAnimationFrame ||
                window.oRequestAnimationFrame ||
                window.msRequestAnimationFrame ||
                function (callback) {
                    window.setTimeout(callback, 1000 / 60)
                };
    }());

    var strokeColor = "#ffff00";
    var fillColor = "#ff0000";

    ctx.fillStyle = fillColor;
    ctx.strokeStyle = strokeColor;
    ctx.rect(0, 0, 50, 50);

</script>

<hr>

<input type="text" id="check">
<br>
<button id="checker" onclick="Type()">Check Type</button>
<script>
    function Type () {
        var check = document.getElementById("check").value;
        document.getElementById("ausgabe").innerHTML = "The type of " + check + " is: " + typeof(check) + ".";
    }
</script>
<p id="ausgabe"></p>

<hr>

<button onclick="datum()">Geburtsdatum</button>
<script>
    function datum () {
        var geburtsdatum = prompt("Geben Sie ihr Geburtsdatum ein");

        while (geburtsdatum === '' || isNaN(geburtsdatum)) {
            if (geburtsdatum === '') {
                geburtsdatum = prompt("Es muss etwas eingegeben werden! Bitte tragen Sie ihr Geburtsdatum ein");
            } else if (isNaN(geburtsdatum)) {
                geburtsdatum = prompt("Dies ist keine Zahl! Bitte das Geburtsdatum angeben");
            }
        }
        var con = confirm("Ist der " + geburtsdatum + " ihr richtiges Geburtsdatum?");

        while (con == false) {
            geburtsdatum = prompt("Korrigieren Sie ihr Geburtsdatum!");
            con = confirm("Ist der " + geburtsdatum + " nun richtig?");

            while (geburtsdatum === '' || isNaN(geburtsdatum)) {
                if (geburtsdatum === '') {
                    geburtsdatum = prompt("Es muss etwas eingegeben werden! Bitte tragen Sie ihr Geburtsdatum ein");
                } else if (isNaN(geburtsdatum)) {
                    geburtsdatum = prompt("Dies ist keine Zahl! Bitte das Geburtsdatum angeben");
                }
            }
        }

        if (con == true) {
            alert("Demnach haben Sie wohl am " + geburtsdatum + " Geburtstag.");
        }

    }
</script>

<hr>

<button onclick="counter()">Clickcounter</button>
<h6 id="counted">000</h6>
<script>
    var a = 000;

    function counter () {
        a++;

        if (a < 10) {
            document.getElementById("counted").innerHTML = "00" + a;
        } else if (a < 100 && a >= 10) {
            document.getElementById("counted").innerHTML = "0" + a;
        } else {
            document.getElementById("counted").innerHTML = a;
        }

        /*if (a = 1) {
         var date = newDate();
         var zeit1 = date.getSeconds();
         }

         if (zeit1 >= zeit1 + 10 || zeit1 <= zeit1 - 10) {
         var name = prompt("Trage deinen Namen ein:");
         alert(name + " hat " + a + " klicks geschafft.");
         a = 0;
         }*/

        /*switch (a) {
         case 1:
         var date = newDate();
         var zeit = date.getSeconds();
         break;
         case 10:
         var date = newDate();
         var zeitNeu = date.getSeconds();
         alert(zeit-zeitNeu);
         a = 0;
         break;
         default:
         break;
         }*/
    }
</script>

<hr>

<h3>W&uuml;rfelspiel</h3>
<button id="num1" onclick="rand()">W&uumlrfel 1</button>
<button id="num2" onclick="rand()">W&uumlrfel 2</button>
<button id="num3" onclick="rand()">W&uumlrfel 3</button>
<br>

<p id="out1"></p>

<p id="out2"></p>

<p id="out3"></p>

<script>
    var count = 0;

    function rand () {
        count++;
        var a = Math.random();
        a = Math.round(a * 10);

        switch (count) {
            case 0:
                var out1 = a;
                //var check = document.getElementById("out1").innerHTML;
                break;
            case 1:
                var out2 = a;
                //var check = document.getElementById("out2").innerHTML;
                break;
            case 2:
                var out3 = a;
                //var check = document.getElementById("out3").innerHTML;
                break;
            default:
                count = 0;
                break;
        }
        check = a;
    }
</script>

<hr>

<p>Geben Sie etwas ein:</p>

<p>Name: <input type="text" ng-model="name"></p>

<p ng-bind="name"></p>

<hr>

<div>Zeit: <span id="time"></span></div>
<input type="button" value="Start" onclick="start();">
<input type="button" value="Stop" onclick="stop();">
<input type="button" value="Zur&uuml;cksetzen" onclick="reset()">

<script>
    //	Einfaches Beispiel von privaten Variablen
    //
    //	Um die Stopuhr zu starten:
    //		obj.start();
    //
    //	To get the duration in milliseconds without pausing / resuming:
    //		var	x = obj.time();
    //
    //	Um die Stopuhr zu pausieren:
    //		var	x = obj.stop();	// Resultat ist die Dauer in Millisekunden
    //
    //	Um die pausierte Stopuhr fortzusetzen:
    //		var	x = obj.start();	// Resultat ist die Dauer in Millisekunden
    //
    //	Um die pausierte Stopuhr zurückzusetzen:
    //		obj.stop();
    //
    var clsStopwatch = function () {
        // Private Variablen
        var startAt = 0;	// Time of last start / resume. (0 if not running)
        var lapTime = 0;	// Time on the clock when last stopped in milliseconds

        var now = function () {
            return (new Date()).getTime();
        };

        // Öffentliche Methode
        // Start or resume
        this.start = function () {
            startAt = startAt ? startAt : now();
        };

        // Stop or pause
        this.stop = function () {
            // If running, update elapsed time otherwise keep it
            lapTime = startAt ? lapTime + now() - startAt : lapTime;
            startAt = 0; // Paused
        };

        // Reset
        this.reset = function () {
            lapTime = startAt = 0;
        };

        // Duration
        this.time = function () {
            return lapTime + (startAt ? now() - startAt : 0);
        };
    };

    var x = new clsStopwatch();
    var $time;
    var clocktimer;

    function pad (num, size) {
        var s = "0000" + num;
        return s.substr(s.length - size);
    }

    function formatTime (time) {
        var h = m = s = ms = 0;
        var newTime = '';

        h = Math.floor(time / (60 * 60 * 1000));
        time = time % (60 * 60 * 1000);
        m = Math.floor(time / (60 * 1000));
        time = time % (60 * 1000);
        s = Math.floor(time / 1000);
        ms = time % 1000;

        newTime = pad(h, 2) + ':' + pad(m, 2) + ':' + pad(s, 2) + ':' + pad(ms, 3);
        return newTime;
    }

    function show () {
        $time = document.getElementById('time');
        update();
    }

    function update () {
        $time.innerHTML = formatTime(x.time());
    }

    function start () {
        clocktimer = setInterval("update()", 1);
        x.start();
    }

    function stop () {
        x.stop();
        clearInterval(clocktimer);
    }

    function reset () {
        stop();
        x.reset();
        update();
    }

</script>

<hr>

</body>
</html>